org.apache.lucene.spatial.util

## Class ShapeFieldCacheDistanceValueSource

- java.lang.Object
- - org.apache.lucene.search.DoubleValuesSource
  - - org.apache.lucene.spatial.util.ShapeFieldCacheDistanceValueSource

- All Implemented Interfaces:
    SegmentCacheable

      public class ShapeFieldCacheDistanceValueSource
      extends DoubleValuesSource

  A DoubleValuesSource that returns the spatial distance between an input point and a document's points in `ShapeFieldCacheProvider`. The shortest distance is returned if a document has more than one point.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.DoubleValuesSource

      `SCORES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShapeFieldCacheDistanceValueSource(org.locationtech.spatial4j.context.SpatialContext ctx, ShapeFieldCacheProvider<org.locationtech.spatial4j.shape.Point> provider, org.locationtech.spatial4j.shape.Point from, double multiplier)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `DoubleValues` | `getValues(LeafReaderContext readerContext, DoubleValues scores)`
    `int` | `hashCode()`
    `boolean` | `isCacheable(LeafReaderContext ctx)`
    `boolean` | `needsScores()`
    `DoubleValuesSource` | `rewrite(IndexSearcher searcher)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.lucene.search.DoubleValuesSource

      `constant, explain, fromDoubleField, fromField, fromFloatField, fromIntField, fromLongField, fromQuery, fromScorer, getSortField, toLongValuesSource`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ShapeFieldCacheDistanceValueSource

          public ShapeFieldCacheDistanceValueSource(org.locationtech.spatial4j.context.SpatialContext ctx,
                                                    ShapeFieldCacheProvider<org.locationtech.spatial4j.shape.Point> provider,
                                                    org.locationtech.spatial4j.shape.Point from,
                                                    double multiplier)

  - ### Method Detail

    - #### toString

          public String toString()

      Specified by:
        `toString` in class `DoubleValuesSource`

    - #### getValues

          public DoubleValues getValues(LeafReaderContext readerContext,
                                        DoubleValues scores)
                                 throws IOException

      Specified by:
        `getValues` in class `DoubleValuesSource`
      Throws:
        `IOException`

    - #### needsScores

          public boolean needsScores()

      Specified by:
        `needsScores` in class `DoubleValuesSource`

    - #### isCacheable

          public boolean isCacheable(LeafReaderContext ctx)

    - #### rewrite

          public DoubleValuesSource rewrite(IndexSearcher searcher)
                                     throws IOException

      Specified by:
        `rewrite` in class `DoubleValuesSource`
      Throws:
        `IOException`

    - #### equals

          public boolean equals(Object o)

      Specified by:
        `equals` in class `DoubleValuesSource`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `DoubleValuesSource`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.